Zum Hauptinhalt springen

Create a new access request for LeadFyndr

POST/v2/customers/{customerId}/lead-fyndr-profile-request
API-Version
v2
Request-Methode
POST
Operation-ID
leadfyndr-create-lead-fyndr-access-request

Request​

  • customerIdstringrequired

Responses​

Format
application/json
Beschreibung
  • profileIdstringrequired
Content-Type: application/json

{
"profileId": "string"
}
{
"properties": {
"profileId": {
"type": "string"
}
},
"required": [
"profileId"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"domain":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/customers/string/lead-fyndr-profile-request
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.leadFyndr.createLeadFyndrAccessRequest({
"customerId": "string",
"data": {
"domain": "string"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\CreateLeadFyndrAccessRequest\CreateLeadFyndrAccessRequestRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\CreateLeadFyndrAccessRequest\CreateLeadFyndrAccessRequestRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CreateLeadFyndrAccessRequestRequestBody to learn how to construct a valid instance
$body = new CreateLeadFyndrAccessRequestRequestBody(/* TODO: ... */);

$request = (new CreateLeadFyndrAccessRequestRequest(
customerId: "string",
body: $body
));
$response = $client->leadFyndr()->createLeadFyndrAccessRequest($request);

var_dump($response->getBody();

Auf dieser Seite